| LicenseSpring Management .Net SDK 1.16.1 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LicenseSpring.DeviceService Class Reference

Implements `IDeviceService` interface. More...

Inheritance diagram for LicenseSpring.DeviceService:

## Public Member Functions
string | BlacklistDevice (ulong deviceId)
  | Blacklist a single Device if requesting manager has access permissions to it. Parameters
  deviceId | The Id of the device that will be blacklisted.
DateTime | BorrowDevice (ulong deviceId, DateTime? borrowUntil=null)
  | Borrow a single Device if requesting manager has access permissions to it. Parameters
  deviceId | The Id of the device that will be borrowed.
  borrowUntil | DateTime until which device will be borrowed.Set null as a value if you want to manually return the borrowed license.
DeviceVariable | CreateDeviceVariable (CreateDeviceVariableDto dto)
  | Creates a new device variable. Parameters
  dto | Dto with information about new device variable.
string | DeleteDeviceVariable (uint variableId)
  | Deletes device variable. Parameters
  variableId | The Id of the device variable that will be deleted.
Device[] | ListDevices (ListDevicesRequestDto dto, out uint Count)
  | Returns all devices. Parameters
  dto | Data transfer object that is used for searching through all devices.
  count | Quantity of devices, use for iteration of the result pages.
DeviceVariable[] | ListDeviceVariables (ListDeviceVariablesRequestDto dto, out uint count)
  | Returns all device variables. Parameters
  dto | Data transfer object that is used for searching through device variables.
  count | Quantity of variables, use for iteration of the result pages.
string | ResetDevice (ulong deviceId)
  | Reset a single Device if requesting manager has access permissions to it. Parameters
  deviceId | The Id of the device that will be reset.
DeviceVariable | UpdateDeviceVariable (CreateDeviceVariableDto dto, uint variableId)
  | Updates device variable. Parameters
  dto | Dto with information about device variable that will be updated.
  variableId | The Id of the device variable that will be updated.
Public Member Functions inherited from LicenseSpring.BaseService
void | Initialize (ManagementConfiguration configuration)
  | Initialize management service with given configuration. Parameters
  configuration | ManagementConfiguration object to use
  Exceptions
  System.ArgumentNullException | Thrown when configuration is null
bool | IsInitialized ()
| Check whether management service has been initialized. Returns True if management service has been initialized and ready to use or false otherwise
bool | IsOnline (bool throwExceptions=false)
  | Helper method, it checks connection to the LicenseSpring platform. Parameters
  throwExceptions | Boolean value indicating whether this method should throw exceptions, by default it's false.
  Returns True if SDK is able to connect to the LicenseSpring platform and false otherwise. Exceptions
  System.InvalidOperationException | Thrown when license manager is not initialized
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.

## Detailed Description

Implements `IDeviceService` interface.

## Member Function Documentation

## ◆ BlacklistDevice()

string LicenseSpring.DeviceService.BlacklistDevice | ( | ulong | deviceId | ) |

Blacklist a single Device if requesting manager has access permissions to it.

Parameters

  deviceId | The Id of the device that will be blacklisted.

Implements LicenseSpring.IDeviceService.

## ◆ BorrowDevice()

DateTime LicenseSpring.DeviceService.BorrowDevice | ( | ulong | deviceId,
|  | DateTime? | borrowUntil = `null`
| ) |  |

Borrow a single Device if requesting manager has access permissions to it.

Parameters

  deviceId | The Id of the device that will be borrowed.
  borrowUntil | DateTime until which device will be borrowed.Set null as a value if you want to manually return the borrowed license.

Implements LicenseSpring.IDeviceService.

## ◆ CreateDeviceVariable()

DeviceVariable LicenseSpring.DeviceService.CreateDeviceVariable | ( | CreateDeviceVariableDto | dto | ) |

Creates a new device variable.

Parameters

  dto | Dto with information about new device variable.

Implements LicenseSpring.IDeviceService.

## ◆ DeleteDeviceVariable()

string LicenseSpring.DeviceService.DeleteDeviceVariable | ( | uint | variableId | ) |

Deletes device variable.

Parameters

  variableId | The Id of the device variable that will be deleted.

Implements LicenseSpring.IDeviceService.

## ◆ ListDevices()

Device[] LicenseSpring.DeviceService.ListDevices | ( | ListDevicesRequestDto | dto,
|  | out uint | Count
| ) |  |

Returns all devices.

Parameters

  dto | Data transfer object that is used for searching through all devices.
  count | Quantity of devices, use for iteration of the result pages.

Implements LicenseSpring.IDeviceService.

## ◆ ListDeviceVariables()

DeviceVariable[] LicenseSpring.DeviceService.ListDeviceVariables | ( | ListDeviceVariablesRequestDto | dto,
|  | out uint | count
| ) |  |

Returns all device variables.

Parameters

  dto | Data transfer object that is used for searching through device variables.
  count | Quantity of variables, use for iteration of the result pages.

Implements LicenseSpring.IDeviceService.

## ◆ ResetDevice()

string LicenseSpring.DeviceService.ResetDevice | ( | ulong | deviceId | ) |

Reset a single Device if requesting manager has access permissions to it.

Parameters

  deviceId | The Id of the device that will be reset.

Implements LicenseSpring.IDeviceService.

## ◆ UpdateDeviceVariable()

DeviceVariable LicenseSpring.DeviceService.UpdateDeviceVariable | ( | CreateDeviceVariableDto | dto,
|  | uint | variableId
| ) |  |

Updates device variable.

Parameters

  dto | Dto with information about device variable that will be updated.
  variableId | The Id of the device variable that will be updated.

Implements LicenseSpring.IDeviceService.

The documentation for this class was generated from the following file:

- DeviceService.cs